<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <link href="src/style.css" rel="stylesheet" type="text/css">
    <title>Speedrun CTF 2022 Example Registration</title>
</head>
<body>
<div id="app">
    <div>
        <h1>Hello from CTFMS!</h1>
        <form id="crtgen">
            <div>
                <label for="username">Username:</label>
                <input type="text" id="username" name="username" pattern="[A-Za-z\d _-]{2,32}" value="" required>
            </div>
            <div>
                <label for="email">Email:</label>
                <input type="email" id="email" name="email" value="" required>
            </div>
            <div>
                <label for="password">Password for Certificate:</label>
                <input type="password" id="password" name="password" value="" required>
            </div>
            <br>
            <input type="button" id="generate" value="Generate!">
        </form>
    </div>
</div>
<script type="module" src="src/main.ts"></script>
</body>
</html>
